Subject: bug#22595: 25.1.50; Wishlist: There should be a way to list timers

From: Drew Adams <[email-masked]>
Date: Tue, 9 Feb 2016 07:16:56 -0800 (PST)

> > Why is this a good idea at all?  Timers are always an implementation
> > detail, not a user-level feature, as far as I am concerned.  We neither
> > have a UI for working with all overlays or text properties of a buffer,
> > have we?
> 
> Reductio ad absurdum isn't very useful as an argumentation technique.
> 
> I have often wanted to examine (and cancel) certain timers that are out
> of control.  Inspecting them without a buffer like this isn't easy.

I'm with Lars on this one.  What is an implementation detail from
one point of view, and for one user, can be a "user-level feature"
for another user.

Many Emacs users interact with Emacs at deeper levels, where a
text/overlay property is an object of concern, not just something
behind the scenes.  Likewise for other objects: processes, timers,
whatever.

And we do have UIs for working with overlays or text properties.
At least I do.  Likewise, interacting with keymaps and font-lock.

No one is obliged to use a UI that provides easier access to such
things, but that access can be useful for some Emacs users.  Some
Emacs users will never go near hexl mode, but for those who do,
it is useful.